﻿// Copyright (c) 2013, Simon Carter.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification, are permitted 
// provided that the following conditions are met:
//
// * Redistributions of source code must retain the above copyright notice, this list of 
//   conditions and the following disclaimer.
//
// * Redistributions in binary form must reproduce the above copyright notice, this list of 
//  conditions and the following disclaimer in the documentation and/or other materials provided 
//  with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS 
// OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
// ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// History
// Initial Release - Simon Carter
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace ErrorManager.Console.Controls
{
    public partial class ServerConfiguration : BaseControlClass
    {
        #region Constructors

        public ServerConfiguration()
        {
            InitializeComponent();
        }

        #endregion Constructors

        #region Overridden Methods

        internal override void ProcessMessage(TCPMessageServer.Message message)
        {
            switch (message.Title)
            {
                case "SERVER_PORT":
                    txtPortNumber.Text = message.Contents;

                    break;
                case "SERVER_DAL":
                    txtDAL.Text = message.Contents;

                    break;
                default:

                    break;
            }
        }

        internal override void Initialise(TCPMessageServer.MessageClient client)
        {
            base.Initialise(client);
            Client.SendMessage(new TCPMessageServer.Message("SERVER_PORT", "", TCPMessageServer.MessageType.Command));
            Client.SendMessage(new TCPMessageServer.Message("SERVER_DAL", "", TCPMessageServer.MessageType.Command));
        }

        #endregion Overridden Methods

        #region Overridden Properties

        /// <summary>
        /// Name of tab within the console
        /// </summary>
        internal override string TabName
        {
            get
            {
                return ("Server Configuration");
            }
        }

        /// <summary>
        /// Return permission associated with the control
        /// </summary>
        internal override string Permission
        {
            get
            {
                return ("ConfigureServer");
            }
        }

        #endregion Pverridden Properties

        #region Private Methods



        #endregion Private Methods
    }
}
