﻿// Copyright (c) 2013, Simon Carter.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification, are permitted 
// provided that the following conditions are met:
//
// * Redistributions of source code must retain the above copyright notice, this list of 
//   conditions and the following disclaimer.
//
// * Redistributions in binary form must reproduce the above copyright notice, this list of 
//  conditions and the following disclaimer in the documentation and/or other materials provided 
//  with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS 
// OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
// ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// History
// Initial Release - Simon Carter
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ErrorManager.Console
{
    public partial class LoginForm : Form
    {
        public LoginForm()
        {
            InitializeComponent();

            LoadSettings();
        }

        private void LoadSettings()
        {
            this.Left = Convert.ToInt32(ErrorServerConsoleForm.GetXMLValue("Left", this.Left.ToString()));
            this.Top = Convert.ToInt32(ErrorServerConsoleForm.GetXMLValue("Left", this.Top.ToString()));
            txtServer.Text = ErrorServerConsoleForm.GetXMLValue("Server", txtServer.Text);
            txtPort.Text = ErrorServerConsoleForm.GetXMLValue("Port", txtPort.Text);
            txtUserName.Text = ErrorServerConsoleForm.GetXMLValue("Username", txtUserName.Text);
            txtPassword.Text = ErrorServerConsoleForm.GetXMLValue("Password", txtPassword.Text);
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            if (cbRememberMe.Checked)
            {
                ErrorServerConsoleForm.SetXMLValue("Left", this.Left.ToString());
                ErrorServerConsoleForm.SetXMLValue("Top", this.Top.ToString());
                ErrorServerConsoleForm.SetXMLValue("Server", txtServer.Text);
                ErrorServerConsoleForm.SetXMLValue("Port", txtPort.Text);
                ErrorServerConsoleForm.SetXMLValue("Username", txtUserName.Text);
                ErrorServerConsoleForm.SetXMLValue("Password", txtPassword.Text);
            }

            this.DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
