﻿// Copyright (c) 2013, Simon Carter.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification, are permitted 
// provided that the following conditions are met:
//
// * Redistributions of source code must retain the above copyright notice, this list of 
//   conditions and the following disclaimer.
//
// * Redistributions in binary form must reproduce the above copyright notice, this list of 
//  conditions and the following disclaimer in the documentation and/or other materials provided 
//  with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS 
// OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
// ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// History
// Initial Release - Simon Carter
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ErrorManager.Console
{
    public partial class UserSettings : Form
    {
        #region Constructor

        public UserSettings()
        {
            InitializeComponent();
        }

        #endregion Constructor

        #region Static Methods

        public static void ShowSettings(ErrorServerConsoleForm form)
        {
            UserSettings settings = new UserSettings();
            try
            {
                settings.cbConfirmErrorDeleted.Checked = form.ConfirmErrorDeleted;
                settings.cbConfirmSaved.Checked = form.ConfirmFileSaved;
                settings.cbLoadWhenConnected.Checked = form.LoadErrorWhenConnected;

                if (settings.ShowDialog(form) == DialogResult.OK)
                {
                    form.ConfirmFileSaved = settings.cbConfirmSaved.Checked;
                    form.ConfirmErrorDeleted = settings.cbConfirmErrorDeleted.Checked;
                    form.LoadErrorWhenConnected = settings.cbLoadWhenConnected.Checked;
                }
            }
            finally
            {
                settings = null;
            }
        }

        #endregion Static Methods
    }
}
